Index: trunk/zoo-project/zoo-kernel/service.c
===================================================================
--- trunk/zoo-project/zoo-kernel/service.c	(revision 966)
+++ trunk/zoo-project/zoo-kernel/service.c	(revision 967)
@@ -775,14 +777,14 @@
     return ;
   }
-  if(length!=NULL){
-    int len=atoi(length->value);
+  if(pmLength!=NULL){
+    int len=atoi(pmLength->value);
     int i=0;
     for(i=0;i<len;i++){
-      loadMapBinary(out,in,i);
+      loadMapBinary(ppmOut,pmIn,i);
     }
   }
   else
-    if(size!=NULL)
-      loadMapBinary(out,in,-1);
+    if(pmSize!=NULL)
+      loadMapBinary(ppmOut,pmIn,-1);
 }
 
@@ -790,24 +792,24 @@
  * Duplicate a Maps
  * 
- * @param mo the maps to clone
+ * @param ppmsOut the maps to clone
  * @return the allocated maps containing a copy of the mo maps
  */
-maps* dupMaps(maps** mo){
-  maps* _cursor=*mo;
-  maps* res=NULL;
-  if(_cursor!=NULL){
-    map* mc=_cursor->content;
-    maps* mcs=_cursor->child;
-    res=createMaps(_cursor->name);
-    if(mc!=NULL){
-      addMapToMap(&res->content,mc);
-      loadMapBinaries(&res->content,mc);
-    }
-    if(mcs!=NULL){
-      res->child=dupMaps(&mcs);
-    }
-    res->next=dupMaps(&_cursor->next);
-  }
-  return res;
+maps* dupMaps(maps** ppmsOut){
+  maps* pmsCursor=*ppmsOut;
+  maps* pmRes=NULL;
+  if(pmsCursor!=NULL){
+    map* pmContent=pmsCursor->content;
+    maps* pmsChild=pmsCursor->child;
+    pmRes=createMaps(pmsCursor->name);
+    if(pmContent!=NULL){
+      addMapToMap(&pmRes->content,pmContent);
+      loadMapBinaries(&pmRes->content,pmContent);
+    }
+    if(pmsChild!=NULL){
+      pmRes->child=dupMaps(&pmsChild);
+    }
+    pmRes->next=dupMaps(&pmsCursor->next);
+  }
+  return pmRes;
 }
 
@@ -816,35 +818,35 @@
  *
  * @see addMapToMap, dupMaps, getMaps
- * @param mo the maps to add mi
- * @param mi the maps to add to mo
- */
-void addMapsToMaps(maps** mo,maps* mi){
-  maps* tmp=mi;
-  maps* _cursor=*mo;
-  while(tmp!=NULL){
-    if(_cursor==NULL){
-      *mo=dupMaps(&mi);
+ * @param ppmsOut the maps to add mi
+ * @param pmIn the maps to add to mo
+ */
+void addMapsToMaps(maps** ppmsOut,maps* pmIn){
+  maps* pmsTmp=pmIn;
+  maps* pmsCursor=*ppmsOut;
+  while(pmsTmp!=NULL){
+    if(pmsCursor==NULL){
+      *ppmsOut=dupMaps(&pmIn);
     }
     else{
-      maps* tmp1=getMaps(*mo,tmp->name);
-      if(tmp1==NULL){
-	while(_cursor->next!=NULL)
-	  _cursor=_cursor->next;
-	_cursor->next=dupMaps(&tmp);
-	if(tmp->child!=NULL)
-	  _cursor->next->child=dupMaps(&tmp->child);
+      maps* pmsTmp1=getMaps(*ppmsOut,pmsTmp->name);
+      if(pmsTmp1==NULL){
+	while(pmsCursor->next!=NULL)
+	  pmsCursor=pmsCursor->next;
+	pmsCursor->next=dupMaps(&pmsTmp);
+	if(pmsTmp->child!=NULL)
+	  pmsCursor->next->child=dupMaps(&pmsTmp->child);
 	else
-	  _cursor->next->child=NULL;
+	  pmsCursor->next->child=NULL;
       }
       else{
-	addMapToMap(&tmp1->content,tmp->content);
-	if(tmp->child!=NULL)
-	  tmp1->child=dupMaps(&tmp->child);
+	addMapToMap(&pmsTmp1->content,pmsTmp->content);
+	if(pmsTmp->child!=NULL)
+	  pmsTmp1->child=dupMaps(&pmsTmp->child);
 	else
-	  tmp1->child=NULL;
+	  pmsTmp1->child=NULL;
       }
-      _cursor=*mo;
-    }
-    tmp=tmp->next;
+      pmsCursor=*ppmsOut;
+    }
+    pmsTmp=pmsTmp->next;
   }
 }
@@ -853,25 +855,25 @@
  * Access a specific map array element
  *
- * @param m the map to search for the key
- * @param key the key to search in the map
- * @param index of the MapArray 
+ * @param pmMap the map to search for the key
+ * @param pccKey the key to search in the map
+ * @param iIndex of the MapArray 
  * @return a pointer on the map found or NULL if not found
  */
-map* getMapArray(map* m,const char* key,int index){
-  char tmp[1024];
-  map* tmpMap;
-  if(index>0)
-    sprintf(tmp,"%s_%d",key,index);
+map* getMapArray(map* pmMap,const char* pccKey,int iIndex){
+  char acTmp[1024];
+  map* pmTmp;
+  if(iIndex>0)
+    sprintf(acTmp,"%s_%d",pccKey,iIndex);
   else
-    sprintf(tmp,"%s",key);
+    sprintf(acTmp,"%s",pccKey);
 #ifdef DEBUG
-  fprintf(stderr,"** KEY %s\n",tmp);
+  fprintf(stderr,"** KEY %s\n",acTmp);
 #endif
-  tmpMap=getMap(m,tmp);
+  pmTmp=getMap(pmMap,acTmp);
 #ifdef DEBUG
-  if(tmpMap!=NULL)
-    dumpMap(tmpMap);
+  if(pmTmp!=NULL)
+    dumpMap(pmTmp);
 #endif
-  return tmpMap;
+  return pmTmp;
 }
 
@@ -879,38 +881,38 @@
  * Add a key value in a MapArray for a specific index
  *
- * @param m the map to search for the key
- * @param key the key to search in the map
- * @param index the index of the MapArray 
- * @param value the value to set in the MapArray 
+ * @param pmMap the map to search for the key
+ * @param pccKey the key to search in the map
+ * @param iIndex the index of the MapArray 
+ * @param pccValue the value to set in the MapArray 
  * @return a pointer on the map found or NULL if not found
  */
-void setMapArray(map* m,const char* key,int index,const char* value){
-  char tmp[1024];
-  map* tmpSize;
-  if(index>0){
-    map* len=getMap(m,"length");
-    sprintf(tmp,"%s_%d",key,index);
-    if((len!=NULL && atoi(len->value)<index+1) || len==NULL){
-      char tmp0[5];
-      sprintf(tmp0,"%d",index+1);
-      addToMap(m,"length",tmp0);
+void setMapArray(map* pmMap,const char* pccKey,int iIndex,const char* pccValue){
+  char acTmp[1024];
+  map* pmSize;
+  if(iIndex>0){
+    map* pmLen=getMap(pmMap,"length");
+    sprintf(acTmp,"%s_%d",pccKey,iIndex);
+    if((pmLen!=NULL && atoi(pmLen->value)<iIndex+1) || pmLen==NULL){
+      char acTmp0[5];
+      sprintf(acTmp0,"%d",iIndex+1);
+      addToMap(pmMap,"length",acTmp0);
     }
   }
   else{
-    sprintf(tmp,"%s",key);
-    addToMap(m,"length","1");
-  }
-  tmpSize=getMapArray(m,"size",index);
-  if(tmpSize!=NULL && strncasecmp(key,"value",5)==0){
-    map* ptr=getMapOrFill(&m,tmp,(char *)"");
+    sprintf(acTmp,"%s",pccKey);
+    addToMap(pmMap,"length","1");
+  }
+  pmSize=getMapArray(pmMap,"size",iIndex);
+  if(pmSize!=NULL && strncasecmp(pccKey,"value",5)==0){
+    map* pmPtr=getMapOrFill(&pmMap,acTmp,(char *)"");
 #ifdef DEBUG
-    fprintf(stderr,"%s\n",tmpSize->value);
+    fprintf(stderr,"%s\n",pmSize->value);
 #endif
-    free(ptr->value);
-    ptr->value=(char*)malloc((atoi(tmpSize->value)+1)*sizeof(char));
-    memcpy(ptr->value,value,atoi(tmpSize->value)); 
+    free(pmPtr->value);
+    pmPtr->value=(char*)malloc((atoi(pmSize->value)+1)*sizeof(char));
+    memcpy(pmPtr->value,pccValue,atoi(pmSize->value)); 
   }
   else
-    addToMap(m,tmp,value);
+    addToMap(pmMap,acTmp,pccValue);
 }
 
@@ -918,13 +920,13 @@
  * Add a key and an integer value to an existing map array.
  *
- * @param m the map to add the KVP
- * @param n the key to add
- * @param index the index of the MapArray 
- * @param v the corresponding value to add
- */
-void addIntToMapArray(map* m,const char* n,int index,const int v){
-  char svalue[10];
-  sprintf(svalue,"%d",v);
-  setMapArray(m,n,index,svalue);
+ * @param pmMap the map to add the KVP
+ * @param pccName the key to add
+ * @param iIndex the index of the MapArray 
+ * @param icValue the corresponding value to add
+ */
+void addIntToMapArray(map* pmMap,const char* pccName,int iIndex,const int icValue){
+  char acValue[10];
+  sprintf(acValue,"%d",icValue);
+  setMapArray(pmMap,pccName,iIndex,acValue);
 }
 
@@ -932,20 +934,20 @@
  * Access the map "type"
  *
- * @param mt the map
+ * @param pmMap the map
  * @return a pointer on the map for mimeType/dataType/CRS if found, NULL in
  *  other case
  */
-map* getMapType(map* mt){
-  map* tmap=getMap(mt,(char *)"mimeType");
-  if(tmap==NULL){
-    tmap=getMap(mt,"dataType");
-    if(tmap==NULL){
-      tmap=getMap(mt,"CRS");
+map* getMapType(map* pmMap){
+  map* pmMime=getMap(pmMap,(char *)"mimeType");
+  if(pmMime==NULL){
+    pmMime=getMap(pmMap,"dataType");
+    if(pmMime==NULL){
+      pmMime=getMap(pmMap,"CRS");
     }
   }
 #ifdef DEBUG
-  dumpMap(tmap);
+  dumpMap(pmMime);
 #endif
-  return tmap;
+  return pmMime;
 }
 
@@ -954,15 +956,15 @@
  *
  * @see getMapType
- * @param mo the maps
- * @param mi the maps
- * @param typ the map "type"
+ * @param pmsOut the maps
+ * @param pmsIn the maps
+ * @param pcType the map "type"
  * @return 
  */
-int addMapsArrayToMaps(maps** mo,maps* mi,char* typ){
-  maps* tmp=mi;    
-  maps* _cursor=getMaps(*mo,tmp->name);
-  char tmpLen[10];
-  int len=1;
-  char *tmpV[14]={
+int addMapsArrayToMaps(maps** pmsOut,maps* pmsIn,char* pcType){
+  maps* pmsTmp=pmsIn;
+  maps* pmsCursor=getMaps(*pmsOut,pmsTmp->name);
+  char acLen[10];
+  int iLen=1;
+  char *acV[14]={
     (char*)"size",
     (char*)"value",
@@ -973,5 +975,5 @@
     (char*)"fmimeType",
     (char*)"xlink:href",
-    typ,
+    pcType,
     (char*)"schema",
     (char*)"encoding",
@@ -980,28 +982,28 @@
     (char*)"UpperCorner"
   };
-  int i=0;
-  map* tmpLength;
+  int iCounter=0;
+  map* pmLength;
   
-  if(_cursor==NULL)
+  if(pmsCursor==NULL)
     return -1;
 
-  tmpLength=getMap(_cursor->content,"length");
-  if(tmpLength!=NULL){
-    len=atoi(tmpLength->value);
-  }
-
-  sprintf(tmpLen,"%d",len+1);
-  addToMap(_cursor->content,"length",tmpLen);
-  for(i=0;i<14;i++){
-    map* tmpVI=getMap(tmp->content,tmpV[i]);
-    if(tmpVI!=NULL){
+  pmLength=getMap(pmsCursor->content,"length");
+  if(pmLength!=NULL){
+    iLen=atoi(pmLength->value);
+  }
+
+  sprintf(acLen,"%d",iLen+1);
+  addToMap(pmsCursor->content,"length",acLen);
+  for(iCounter=0;iCounter<14;iCounter++){
+    map* pmTmp=getMap(pmsTmp->content,acV[iCounter]);
+    if(pmTmp!=NULL){
 #ifdef DEBUG
-      fprintf(stderr,"%s = %s\n",tmpV[i],tmpVI->value);
+      fprintf(stderr,"%s = %s\n",pmTmp[iCounter],pmTmp->value);
 #endif
-      setMapArray(_cursor->content,tmpV[i],len,tmpVI->value);
+      setMapArray(pmsCursor->content,acV[iCounter],iLen,pmTmp->value);
     }
   }
     
-  addToMap(_cursor->content,"isArray","true");
+  addToMap(pmsCursor->content,"isArray","true");
   return 0;
 }
@@ -1010,30 +1012,30 @@
  * Set a key value pair to a map contained in a Maps
  *
- * @param m the maps
- * @param key the maps name
- * @param subkey the map name included in the maps corresponding to key
- * @param value the corresponding value to add in the map
- */
-void setMapInMaps(maps* m,const char* key,const char* subkey,const char *value){
-  maps* _tmpm=getMaps(m,key);
-  if(_tmpm!=NULL){
-    map* _ztmpm=getMap(_tmpm->content,subkey);
-    if(_ztmpm!=NULL){
-      if(_ztmpm->value!=NULL)
-	free(_ztmpm->value);
-      _ztmpm->value=zStrdup(value);
+ * @param pmsMaps the maps
+ * @param pccKey the maps name
+ * @param pccSubkey the map name included in the maps corresponding to key
+ * @param pccValue the corresponding value to add in the map
+ */
+void setMapInMaps(maps* pmsMaps,const char* pccKey,const char* pccSubkey,const char *pccValue){
+  maps* pmsTmp=getMaps(pmsMaps,pccKey);
+  if(pmsTmp!=NULL){
+    map* pmTmpSub=getMap(pmsTmp->content,pccSubkey);
+    if(pmTmpSub!=NULL){
+      if(pmTmpSub->value!=NULL)
+	free(pmTmpSub->value);
+      pmTmpSub->value=zStrdup(pccValue);
     }else{
-      maps *tmp=createMaps(key);
-      tmp->content=createMap(subkey,value);
-      addMapsToMaps(&_tmpm,tmp);
-      freeMaps(&tmp);
-      free(tmp);
+      maps *pmsToAdd=createMaps(pccKey);
+      pmsToAdd->content=createMap(pccSubkey,pccValue);
+      addMapsToMaps(&pmsTmp,pmsToAdd);
+      freeMaps(&pmsToAdd);
+      free(pmsToAdd);
     }
   }else{
-    maps *tmp=createMaps(key);
-    tmp->content=createMap(subkey,value);
-    addMapsToMaps(&m,tmp);
-    freeMaps(&tmp);
-    free(tmp);
+    maps *pmsToAdd=createMaps(pccKey);
+    pmsToAdd->content=createMap(pccSubkey,pccValue);
+    addMapsToMaps(&pmsMaps,pmsToAdd);
+    freeMaps(&pmsToAdd);
+    free(pmsToAdd);
   }
 }
@@ -1045,15 +1047,15 @@
  */
 elements* createEmptyElements(){
-  elements* res=(elements*)malloc(ELEMENTS_SIZE);
-  res->name=NULL;
-  res->content=NULL;
-  res->metadata=NULL;
-  res->additional_parameters=NULL;  
-  res->format=NULL;
-  res->defaults=NULL;
-  res->supported=NULL;
-  res->child=NULL;
-  res->next=NULL;
-  return res;
+  elements* peRes=(elements*)malloc(ELEMENTS_SIZE);
+  peRes->name=NULL;
+  peRes->content=NULL;
+  peRes->metadata=NULL;
+  peRes->additional_parameters=NULL;  
+  peRes->format=NULL;
+  peRes->defaults=NULL;
+  peRes->supported=NULL;
+  peRes->child=NULL;
+  peRes->next=NULL;
+  return peRes;
 }
 
@@ -1061,19 +1063,19 @@
  * Create a named elements
  *
- * @param name the elements name
+ * @param pcName the elements name
  * @return a pointer to the allocated elements
  */
-elements* createElements(const char* name){
-  elements* res=(elements*)malloc(ELEMENTS_SIZE);
-  res->name=zStrdup(name);
-  res->content=NULL;
-  res->metadata=NULL;
-  res->additional_parameters=NULL;
-  res->format=NULL;
-  res->defaults=NULL;
-  res->supported=NULL;
-  res->child=NULL;
-  res->next=NULL;
-  return res;
+elements* createElements(const char* pcName){
+  elements* peRes=(elements*)malloc(ELEMENTS_SIZE);
+  peRes->name=zStrdup(pcName);
+  peRes->content=NULL;
+  peRes->metadata=NULL;
+  peRes->additional_parameters=NULL;
+  peRes->format=NULL;
+  peRes->defaults=NULL;
+  peRes->supported=NULL;
+  peRes->child=NULL;
+  peRes->next=NULL;
+  return peRes;
 }
 
@@ -1081,17 +1083,18 @@
  * Set the name of an elements
  *
- * @param name the elements name
+ * @param peElem the elements to modify
+ * @param pcName the elements name
  * @return a pointer to the allocated elements
  */
-void setElementsName(elements** elem,char* name){
-  elements* res=*elem;
-  res->name=zStrdup(name);
-  res->content=NULL;
-  res->metadata=NULL;
-  res->format=NULL;
-  res->defaults=NULL;
-  res->supported=NULL;
-  res->child=NULL;
-  res->next=NULL;
+void setElementsName(elements** ppeElem,char* pcName){
+  elements* peRes=*ppeElem;
+  peRes->name=zStrdup(pcName);
+  peRes->content=NULL;
+  peRes->metadata=NULL;
+  peRes->format=NULL;
+  peRes->defaults=NULL;
+  peRes->supported=NULL;
+  peRes->child=NULL;
+  peRes->next=NULL;
 }
 
@@ -1099,39 +1102,39 @@
  * Dump an elements on stderr
  *
- * @param e the elements to dump
- */
-void dumpElements(elements* e){
-  elements* tmp=e;
-  while(tmp!=NULL){
-    iotype* tmpio=tmp->defaults;
+ * @param peElem the elements to dump
+ */
+void dumpElements(elements* peElem){
+  elements* peTmp=peElem;
+  while(peTmp!=NULL){
+    iotype* piotTmp=peTmp->defaults;
     int ioc=0;
-    fprintf(stderr,"ELEMENT [%s]\n",tmp->name);
-    fprintf(stderr," > CONTENT [%s]\n",tmp->name);
-    dumpMap(tmp->content);
-    fprintf(stderr," > METADATA [%s]\n",tmp->name);
-    dumpMap(tmp->metadata);
-    fprintf(stderr," > ADDITIONAL PARAMETERS [%s]\n",tmp->name);
-    dumpMap(tmp->additional_parameters);
-    fprintf(stderr," > FORMAT [%s]\n",tmp->format);
-    while(tmpio!=NULL){
-      fprintf(stderr," > DEFAULTS [%s] (%i)\n",tmp->name,ioc);
-      dumpMap(tmpio->content);
-      tmpio=tmpio->next;
+    fprintf(stderr,"ELEMENT [%s]\n",peTmp->name);
+    fprintf(stderr," > CONTENT [%s]\n",peTmp->name);
+    dumpMap(peTmp->content);
+    fprintf(stderr," > METADATA [%s]\n",peTmp->name);
+    dumpMap(peTmp->metadata);
+    fprintf(stderr," > ADDITIONAL PARAMETERS [%s]\n",peTmp->name);
+    dumpMap(peTmp->additional_parameters);
+    fprintf(stderr," > FORMAT [%s]\n",peTmp->format);
+    while(piotTmp!=NULL){
+      fprintf(stderr," > DEFAULTS [%s] (%i)\n",peTmp->name,ioc);
+      dumpMap(piotTmp->content);
+      piotTmp=piotTmp->next;
       ioc++;
     }
-    tmpio=tmp->supported;
+    piotTmp=peTmp->supported;
     ioc=0;
-    while(tmpio!=NULL){
-      fprintf(stderr," > SUPPORTED [%s] (%i)\n",tmp->name,ioc);
-      dumpMap(tmpio->content);
-      tmpio=tmpio->next;
+    while(piotTmp!=NULL){
+      fprintf(stderr," > SUPPORTED [%s] (%i)\n",peTmp->name,ioc);
+      dumpMap(piotTmp->content);
+      piotTmp=piotTmp->next;
       ioc++;
     }
-    if(tmp->child!=NULL){
+    if(peTmp->child!=NULL){
       fprintf(stderr," > CHILD \n");
-      dumpElements(tmp->child);
+      dumpElements(peTmp->child);
     }
     fprintf(stderr,"------------------\n");
-    tmp=tmp->next;
+    peTmp=peTmp->next;
   }
 }
@@ -1140,81 +1143,82 @@
  * Dump an elements on stderr using the YAML syntaxe
  *
- * @param e the elements to dump
- */
-void dumpElementsAsYAML(elements* e,int level){
-  elements* tmp=e;
+ * @param peElem the elements to dump
+ * @param iLevel the current level
+ */
+void dumpElementsAsYAML(elements* peElem,int iLevel){
+  elements* peTmp=peElem;
   int i;
-  while(tmp!=NULL){
-    map* mcurs=tmp->content;
+  while(peTmp!=NULL){
+    map* pmCurs=peTmp->content;
     int ioc=0;
-    iotype* tmpio;
-    for(i=0;i<2+(4*level);i++)
+    iotype* piotTmp;
+    for(i=0;i<2+(4*iLevel);i++)
       fprintf(stderr," ");
-    fprintf(stderr,"%s:\n",tmp->name);
-    while(mcurs!=NULL){
-      for(i=0;i<4+(4*level);i++)
+    fprintf(stderr,"%s:\n",peTmp->name);
+    while(pmCurs!=NULL){
+      for(i=0;i<4+(4*iLevel);i++)
 	fprintf(stderr," ");
-      _dumpMap(mcurs);
-      mcurs=mcurs->next;
-    }
-    mcurs=tmp->metadata;
-    if(mcurs!=NULL){
-      for(i=0;i<4+(4*level);i++)
+      _dumpMap(pmCurs);
+      pmCurs=pmCurs->next;
+    }
+    pmCurs=peTmp->metadata;
+    if(pmCurs!=NULL){
+      for(i=0;i<4+(4*iLevel);i++)
 	fprintf(stderr," ");
       fprintf(stderr,"MetaData:\n");
-      while(mcurs!=NULL){
-	for(i=0;i<6+(4*level);i++)
+      while(pmCurs!=NULL){
+	for(i=0;i<6+(4*iLevel);i++)
 	  fprintf(stderr," ");
-	_dumpMap(mcurs);
-	mcurs=mcurs->next;
+	_dumpMap(pmCurs);
+	pmCurs=pmCurs->next;
       }
     }
-    for(i=0;i<4+(4*level);i++)
+    for(i=0;i<4+(4*iLevel);i++)
       fprintf(stderr," ");
-    if(tmp->format!=NULL)
-      fprintf(stderr,"%s:\n",tmp->format);
+    if(peTmp->format!=NULL)
+      fprintf(stderr,"%s:\n",peTmp->format);
     else{
       fprintf(stderr,"Child:\n");
-      if(tmp->child!=NULL)
-	dumpElementsAsYAML(tmp->child,level+1);
-    }
-    tmpio=tmp->defaults;
-    while(tmpio!=NULL){
-      for(i=0;i<6+(4*level);i++)
+      if(peTmp->child!=NULL)
+	dumpElementsAsYAML(peTmp->child,iLevel+1);
+    }
+    piotTmp=peTmp->defaults;
+    while(piotTmp!=NULL){
+      for(i=0;i<6+(4*iLevel);i++)
 	fprintf(stderr," ");
       fprintf(stderr,"default:\n");
-      mcurs=tmpio->content;
-      while(mcurs!=NULL){
-	for(i=0;i<8+(4*level);i++)
+      pmCurs=piotTmp->content;
+      while(pmCurs!=NULL){
+	for(i=0;i<8+(4*iLevel);i++)
 	  fprintf(stderr," ");
-	if(strcasecmp(mcurs->name,"range")==0){
-	  fprintf(stderr,"range: \"%s\"\n",mcurs->value);
+	if(strcasecmp(pmCurs->name,"range")==0){
+	  fprintf(stderr,"range: \"%s\"\n",pmCurs->value);
 	}else
-	  _dumpMap(mcurs);
-	mcurs=mcurs->next;
+	  _dumpMap(pmCurs);
+	pmCurs=pmCurs->next;
       }
-      tmpio=tmpio->next;
+      piotTmp=piotTmp->next;
       ioc++;
     }
-    tmpio=tmp->supported;
+    piotTmp=peTmp->supported;
     ioc=0;
-    while(tmpio!=NULL){
-      for(i=0;i<6+(4*level);i++)
+    while(piotTmp!=NULL){
+      for(i=0;i<6+(4*iLevel);i++)
 	fprintf(stderr," ");
       fprintf(stderr,"supported:\n");
-      mcurs=tmpio->content;
-      while(mcurs!=NULL){
-	for(i=0;i<8+(4*level);i++)
+      pmCurs=piotTmp->content;
+      while(pmCurs!=NULL){
+	for(i=0;i<8+(4*iLevel);i++)
 	  fprintf(stderr," ");
-	if(strcasecmp(mcurs->name,"range")==0){
-	  fprintf(stderr,"range: \"%s\"\n",mcurs->value);
+	if(strcasecmp(pmCurs->name,"range")==0){
+	  fprintf(stderr,"range: \"%s\"\n",pmCurs->value);
 	}else
-	  _dumpMap(mcurs);
-	mcurs=mcurs->next;
+	  _dumpMap(pmCurs);
+	pmCurs=pmCurs->next;
       }
-      tmpio=tmpio->next;
+      piotTmp=piotTmp->next;
       ioc++;
     }
-    tmp=tmp->next;
+    peTmp=peTmp->next;
   }
 }
@@ -1223,11 +1227,11 @@
  * Duplicate an elements
  * 
- * @param e the elements to clone
+ * @param peElem the elements to clone
  * @return the allocated elements containing a copy of the elements e
  */
-elements* dupElements(elements* e){
-  elements* cursor=e;
-  elements* tmp=NULL;
-  if(cursor!=NULL && cursor->name!=NULL){
+elements* dupElements(elements* peElem){
+  elements* peCursor=peElem;
+  elements* peTmp=NULL;
+  if(peCursor!=NULL && peCursor->name!=NULL){
 #ifdef DEBUG
     fprintf(stderr,">> %s %i\n",__FILE__,__LINE__);
@@ -1235,54 +1239,54 @@
     fprintf(stderr,">> %s %i\n",__FILE__,__LINE__);
 #endif
-    tmp=(elements*)malloc(ELEMENTS_SIZE);
-    tmp->name=zStrdup(cursor->name);
-    tmp->content=NULL;
-    addMapToMap(&tmp->content,cursor->content);
-    tmp->metadata=NULL;
-    addMapToMap(&tmp->metadata,cursor->metadata);
-    tmp->additional_parameters=NULL;
-    addMapToMap(&tmp->additional_parameters,cursor->additional_parameters);
-    if(cursor->format!=NULL)
-      tmp->format=zStrdup(cursor->format);
+    peTmp=(elements*)malloc(ELEMENTS_SIZE);
+    peTmp->name=zStrdup(peCursor->name);
+    peTmp->content=NULL;
+    addMapToMap(&peTmp->content,peCursor->content);
+    peTmp->metadata=NULL;
+    addMapToMap(&peTmp->metadata,peCursor->metadata);
+    peTmp->additional_parameters=NULL;
+    addMapToMap(&peTmp->additional_parameters,peCursor->additional_parameters);
+    if(peCursor->format!=NULL)
+      peTmp->format=zStrdup(peCursor->format);
     else
-      tmp->format=NULL;
-    if(cursor->defaults!=NULL){
-      tmp->defaults=(iotype*)malloc(IOTYPE_SIZE);
-      tmp->defaults->content=NULL;
-      addMapToMap(&tmp->defaults->content,cursor->defaults->content);
-      tmp->defaults->next=NULL;
+      peTmp->format=NULL;
+    if(peCursor->defaults!=NULL){
+      peTmp->defaults=(iotype*)malloc(IOTYPE_SIZE);
+      peTmp->defaults->content=NULL;
+      addMapToMap(&peTmp->defaults->content,peCursor->defaults->content);
+      peTmp->defaults->next=NULL;
 #ifdef DEBUG
       fprintf(stderr,">> %s %i\n",__FILE__,__LINE__);
-      dumpMap(tmp->defaults->content);
+      dumpMap(peTmp->defaults->content);
 #endif
     }else
-      tmp->defaults=NULL;
-    if(cursor->supported!=NULL && cursor->supported->content!=NULL){
-      iotype *tmp2=cursor->supported->next;
-      tmp->supported=(iotype*)malloc(IOTYPE_SIZE);
-      tmp->supported->content=NULL;
-      addMapToMap(&tmp->supported->content,cursor->supported->content);
-      tmp->supported->next=NULL;
-            while(tmp2!=NULL){
-	addMapToIoType(&tmp->supported,tmp2->content);
+      peTmp->defaults=NULL;
+    if(peCursor->supported!=NULL && peCursor->supported->content!=NULL){
+      iotype *piotTmp=peCursor->supported->next;
+      peTmp->supported=(iotype*)malloc(IOTYPE_SIZE);
+      peTmp->supported->content=NULL;
+      addMapToMap(&peTmp->supported->content,peCursor->supported->content);
+      peTmp->supported->next=NULL;
+            while(piotTmp!=NULL){
+	addMapToIoType(&peTmp->supported,piotTmp->content);
 #ifdef DEBUG
 	fprintf(stderr,">> %s %i\n",__FILE__,__LINE__);
-	dumpMap(tmp->defaults->content);
+	dumpMap(peTmp->defaults->content);
 #endif
-	tmp2=tmp2->next;
+	piotTmp=piotTmp->next;
       }
     }
     else
-      tmp->supported=NULL;
-    if(cursor->child!=NULL)
-      tmp->child=dupElements(cursor->child);
+      peTmp->supported=NULL;
+    if(peCursor->child!=NULL)
+      peTmp->child=dupElements(peCursor->child);
     else
-      tmp->child=NULL;
-    if(cursor->next!=NULL)
-      tmp->next=dupElements(cursor->next);
+      peTmp->child=NULL;
+    if(peCursor->next!=NULL)
+      peTmp->next=dupElements(peCursor->next);
     else
-      tmp->next=NULL;
-  }
-  return tmp;
+      peTmp->next=NULL;
+  }
+  return peTmp;
 }
 
@@ -1291,13 +1295,13 @@
  *
  * @see dupElements
- * @param m the elements to add the e
- * @param e the elements to be added to m
- */
-void addToElements(elements** m,elements* e){
-  elements* tmp=e;
-  if(*m==NULL){
-    (*m)=dupElements(tmp);
+ * @param ppeElem the elements to add the e
+ * @param peELem the elements to be added to m
+ */
+void addToElements(elements** ppeElem,elements* peELem){
+  elements* peTmp=peELem;
+  if(*ppeElem==NULL){
+    (*ppeElem)=dupElements(peTmp);
   }else{
-    addToElements(&(*m)->next,tmp);
+    addToElements(&(*ppeElem)->next,peTmp);
   }
 }
@@ -1306,13 +1310,14 @@
  * Set the name of a service
  *
- * @param name the service name
- */
-void setServiceName(service** serv,char* name){
-  service* res=*serv;
-  res->name=zStrdup(name);
-  res->content=NULL;
-  res->metadata=NULL;
-  res->inputs=NULL;
-  res->outputs=NULL;
+ * @param ppsServ the service
+ * @param pcName the service name
+ */
+void setServiceName(service** ppsServ,char* pcName){
+  service* psRes=*ppsServ;
+  psRes->name=zStrdup(pcName);
+  psRes->content=NULL;
+  psRes->metadata=NULL;
+  psRes->inputs=NULL;
+  psRes->outputs=NULL;
 }
 
@@ -1320,27 +1325,27 @@
  * Dump a service on stderr
  *
- * @param s the service to dump
- */
-void dumpService(service* s){
-  if(s==NULL)
+ * @param psServ the service to dump
+ */
+void dumpService(service* psServ){
+  if(psServ==NULL)
     return;
-  fprintf(stderr,"++++++++++++++++++\nSERVICE [%s]\n++++++++++++++++++\n",s->name);
-  if(s->content!=NULL){
+  fprintf(stderr,"++++++++++++++++++\nSERVICE [%s]\n++++++++++++++++++\n",psServ->name);
+  if(psServ->content!=NULL){
     fprintf(stderr,"CONTENT MAP\n");
-    dumpMap(s->content);
-    if(s->metadata!=NULL)
+    dumpMap(psServ->content);
+    if(psServ->metadata!=NULL)
       fprintf(stderr,"CONTENT METADATA\n");
-    dumpMap(s->metadata);
-    if(s->additional_parameters!=NULL)
+    dumpMap(psServ->metadata);
+    if(psServ->additional_parameters!=NULL)
       fprintf(stderr,"CONTENT AdditionalParameters\n");
-    dumpMap(s->additional_parameters);
-  }
-  if(s->inputs!=NULL){
-    fprintf(stderr,"INPUT ELEMENTS [%s]\n------------------\n",s->name);
-    dumpElements(s->inputs);
-  }
-  if(s->outputs!=NULL){
-    fprintf(stderr,"OUTPUT ELEMENTS [%s]\n------------------\n",s->name);
-    dumpElements(s->outputs);
+    dumpMap(psServ->additional_parameters);
+  }
+  if(psServ->inputs!=NULL){
+    fprintf(stderr,"INPUT ELEMENTS [%s]\n------------------\n",psServ->name);
+    dumpElements(psServ->inputs);
+  }
+  if(psServ->outputs!=NULL){
+    fprintf(stderr,"OUTPUT ELEMENTS [%s]\n------------------\n",psServ->name);
+    dumpElements(psServ->outputs);
   }
   fprintf(stderr,"++++++++++++++++++\n");
@@ -1350,30 +1355,30 @@
  * Dump a service on stderr using the YAML syntaxe
  *
- * @param s the service to dump
- */
-void dumpServiceAsYAML(service* s){
+ * @param psServ the service to dump
+ */
+void dumpServiceAsYAML(service* psServ){
   int i;
-  fprintf(stderr,"# %s\n\n",s->name);
-  if(s->content!=NULL){
-    map* mcurs=s->content;
-    dumpMap(mcurs);
-    mcurs=s->metadata;
-    if(mcurs!=NULL){
+  fprintf(stderr,"# %s\n\n",psServ->name);
+  if(psServ->content!=NULL){
+    map* pmCurs=psServ->content;
+    dumpMap(pmCurs);
+    pmCurs=psServ->metadata;
+    if(pmCurs!=NULL){
       fprintf(stderr,"MetaData:\n");
-      while(mcurs!=NULL){
+      while(pmCurs!=NULL){
 	for(i=0;i<2;i++)
 	  fprintf(stderr," ");
-	_dumpMap(mcurs);
-	mcurs=mcurs->next;
+	_dumpMap(pmCurs);
+	pmCurs=pmCurs->next;
       }
     }
   }
-  if(s->inputs!=NULL){
+  if(psServ->inputs!=NULL){
     fprintf(stderr,"\ninputs:\n");
-    dumpElementsAsYAML(s->inputs,0);
-  }
-  if(s->outputs!=NULL){
+    dumpElementsAsYAML(psServ->inputs,0);
+  }
+  if(psServ->outputs!=NULL){
     fprintf(stderr,"\noutputs:\n");
-    dumpElementsAsYAML(s->outputs,0);
+    dumpElementsAsYAML(psServ->outputs,0);
   }
 }
@@ -1382,19 +1387,19 @@
  * Duplicate a service
  * 
- * @param s the service to clone
+ * @param psServ the service to clone
  * @return the allocated service containing a copy of the serfvice s
  */
-service* dupService(service* s){
-  service *res=(service*)malloc(SERVICE_SIZE);
-  res->name=zStrdup(s->name);
-  res->content=NULL;
-  addMapToMap(&res->content,s->content);
-  res->metadata=NULL;
-  addMapToMap(&res->metadata,s->metadata);
-  res->additional_parameters=NULL;
-  addMapToMap(&res->additional_parameters,s->additional_parameters);
-  res->inputs=dupElements(s->inputs);
-  res->outputs=dupElements(s->outputs);
-  return res;
+service* dupService(service* psServ){
+  service *psRes=(service*)malloc(SERVICE_SIZE);
+  psRes->name=zStrdup(psServ->name);
+  psRes->content=NULL;
+  addMapToMap(&psRes->content,psServ->content);
+  psRes->metadata=NULL;
+  addMapToMap(&psRes->metadata,psServ->metadata);
+  psRes->additional_parameters=NULL;
+  addMapToMap(&psRes->additional_parameters,psServ->additional_parameters);
+  psRes->inputs=dupElements(psServ->inputs);
+  psRes->outputs=dupElements(psServ->outputs);
+  return psRes;
 }
 
@@ -1402,17 +1407,17 @@
  * Print the registry on stderr.
  * 
- * @param r the registry
- */
-void dumpRegistry(registry* r){
-  registry* p=r;
-  while(p!=NULL){
-    services* s=p->content;
-    fprintf(stderr,"%s \n",p->name);
-    s=p->content;
-    while(s!=NULL){
-      dumpService(s->content);
-      s=s->next;
-    }
-    p=p->next;
+ * @param prReg the registry
+ */
+void dumpRegistry(registry* prReg){
+  registry* prCurs=prReg;
+  while(prCurs!=NULL){
+    services* psServ=prCurs->content;
+    fprintf(stderr,"%s \n",prCurs->name);
+    psServ=prCurs->content;
+    while(psServ!=NULL){
+      dumpService(psServ->content);
+      psServ=psServ->next;
+    }
+    prCurs=prCurs->next;
   }
 }
@@ -1421,10 +1426,10 @@
  * Add a service to the registry
  *
- * @param reg the resgitry to add the service
- * @param name the registry name to update
- * @param content the service to add
- */
-bool addServiceToRegistry(registry** reg,char* name,service* content){
-  registry *l=*reg;
+ * @param prReg the resgitry to add the service
+ * @param pcName the registry name to update
+ * @param psContent the service to add
+ */
+bool addServiceToRegistry(registry** prReg,char* pcName,service* psContent){
+  registry *l=*prReg;
   int isInitial=-1;
   if(l==NULL){
@@ -1435,5 +1440,5 @@
     int hasLevel=-1;
     while(isInitial<0 && l!=NULL){
-      if(l->name!=NULL && strcasecmp(name,l->name)==0){
+      if(l->name!=NULL && strcasecmp(pcName,l->name)==0){
 	hasLevel=1;
 	break;
@@ -1444,5 +1449,5 @@
       if(isInitial<0)
 	l=(registry*)malloc(REGISTRY_SIZE);
-      l->name=zStrdup(name);
+      l->name=zStrdup(pcName);
       l->content=NULL;
       l->next=NULL;
@@ -1450,24 +1455,24 @@
     if(l->content==NULL){
       l->content=(services*)malloc(SERVICES_SIZE);
-      l->content->content=dupService(content);
+      l->content->content=dupService(psContent);
       l->content->next=NULL;
     }
     else{
-      services* s=l->content;
-      while(s->next!=NULL)
-	s=s->next;
-      s->next=(services*)malloc(SERVICES_SIZE);
-      s->next->content=dupService(content);
-      s->next->next=NULL;
+      services* psServ=l->content;
+      while(psServ->next!=NULL)
+	psServ=psServ->next;
+      psServ->next=(services*)malloc(SERVICES_SIZE);
+      psServ->next->content=dupService(psContent);
+      psServ->next->next=NULL;
     }
     l->next=NULL;
     if(isInitial>0)
-      *reg=l;
+      *prReg=l;
     else{
-      registry *r=*reg;
-      while(r->next!=NULL)
-	r=r->next;
-      r->next=l;
-      r->next->next=NULL;
+      registry *prCurs=*prReg;
+      while(prCurs->next!=NULL)
+	prCurs=prCurs->next;
+      prCurs->next=l;
+      prCurs->next->next=NULL;
     }
     return true;
